"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("./index");
var base = {
    // 登录
    login: index_1.baseUrl + '/user/login',
    // 判断科室是否存在对应的职能
    checkDept: index_1.baseUrl + '/org/check/dept/fun',
    // 根据 token 获取用户信息
    getUserInfoByToken: index_1.baseUrl + '/user/information',
    // 获取用户所在科室与病区
    getUserDeptList: index_1.baseUrl + '/user/dept/list',
    //修改用户密码
    setPassWord: index_1.baseUrl + '/user/password/update',
    //获取用户权限科室
    getAuthDeptList: index_1.baseUrl + '/user/auth/dept/list',
    //获取用户特殊权限列表
    getUserSpecRightList: index_1.baseUrl + '/user/special/right/list',
    //CA 登录接口
    caLogin: index_1.baseUrl + '/user/login/ca',
    //获取应用列表
    getApplist: index_1.baseUrl + '/app/list',
    //特殊权限注册
    registerSpecRight: index_1.baseUrl + '/special/right/register',
    //注册应用菜单
    registerAppMenu: index_1.baseUrl + '/app/menu/register',
    //注册应用菜单功能按钮
    registerAppMenuOper: index_1.baseUrl + '/app/menu/oper/register',
    //获取指定用户应用菜单列表
    getAppMenuList: index_1.baseUrl + '/app/menu/list',
    //获取指定用户菜单下的按钮列表
    getAppMenuOperList: index_1.baseUrl + '/app/menu/oper/list',
    // 获取用户权限应用列表
    getAppUserRightList: index_1.baseUrl + '/app/user/right/list',
    //记录用户最近访问菜单
    setVisitRecord: index_1.baseUrl + '/app/module/visit/record/save',
    //获取用户最近访问菜单列表
    getVisitRecordList: index_1.baseUrl + '/app/recent/module/list',
    //获取用户常用菜单列表
    getCommonMenuList: index_1.baseUrl + '/common/menu/list',
    //用户常用功能菜单注册
    registerCommonMenu: index_1.baseUrl + '/common/menu/register',
    //取消用户常用菜单注册
    registerCommonMenuCancel: index_1.baseUrl + '/common/menu/cancel/register',
    //用户常用菜单排序
    sortCommonMenu: index_1.baseUrl + '/common/menu/sort',
    //获取机构列表
    getOrgList: index_1.baseUrl + '/org/list',
    //根据科室或病区获取机构信息
    getInfoByDept: index_1.baseUrl + '/org/information/by/dept',
    //检查两个科室或病区是否属于同一分院
    checkOrgSame: index_1.baseUrl + '/org/check/same',
    //判断用户是否是某个病区领导（护士长）
    checkNurseUnitLeader: index_1.baseUrl + '/user/check/nursing/unit/leader',
    //判断用户是否是某个科室领导（科主任）
    checkDeptLeader: index_1.baseUrl + '/user/check/dept/leader',
    // 根据指定流水号编码获取流水号
    getSerialNum: index_1.baseUrl + '/serial/number/book/get',
    //注册流水号
    registerSerialNum: index_1.baseUrl + '/serial/number/book/register',
    //获取字典数据分页列表
    getDictDataPage: index_1.baseUrl + '/dict/data/page',
    //根据菜单类别获取菜单列表
    getAppMenuCateList: index_1.baseUrl + '/app/menu/category/list',
    //获取应用字典数据分页列表
    getAppDictDataPage: index_1.baseUrl + '/app/dict/data/page',
    //获取应用参数值列表
    getAppParamList: index_1.baseUrl + '/app/param/list',
    //根据应用菜单编码获取已注册系统参数列表
    getSystemParamList: index_1.baseUrl + '/system/param/list',
    //获取系统参数值
    getSystemParamValue: index_1.baseUrl + '/system/param/value',
    //设置系统参数
    setSystemParam: index_1.baseUrl + '/system/param/settings',
    //根据应用菜单编码获取已注册本地参数列表
    getLocalParamList: index_1.baseUrl + '/local/param/list',
    //获取本地参数值
    getLocalParamValue: index_1.baseUrl + '/local/param/value',
    //本地参数设置
    setLocalParam: index_1.baseUrl + '/local/param/settings',
    //本地参数值设置
    setLocalParamValue: index_1.baseUrl + '/local/param/value/settings',
    //获取系统参数值列表
    getSystemParamValueList: index_1.baseUrl + '/system/param/value/list',
    //客户端验证
    checkClient: index_1.baseUrl + '/client/check',
    //客户端注册
    registerClient: index_1.baseUrl + '/client/register',
    //根据客户端编码获取客户端信息
    getClientInfo: index_1.baseUrl + '/client/info',
    //获取数据验证规则列表
    getDataValidRuleList: index_1.baseUrl + '/data/validation/rule/list',
    // 获取全局唯一ID
    getUniqueKey: index_1.baseUrl + '/common/key/get',
    // 包上传注册
    packageRegister: index_1.baseUrl + '/package/register',
    // 获取机构下全部病区科室
    getDeptListByOrg: index_1.baseUrl + '/org/dept/list',
    // 获取机构下全部建筑与楼层
    getOrgBuildingList: index_1.baseUrl + '/org/building/list',
    // 获取机构或科室下的全部医生或护士
    getOrgUserList: index_1.baseUrl + '/org/user/list',
    //  更据工号获取用户信息
    getUserByCode: index_1.baseUrl + '/user/code',
    //  获取全部用户信息
    getUserList: index_1.baseUrl + '/user/list'
};
exports.default = base;
//# sourceMappingURL=base.js.map